---
title: "Connect to Data: Index"
---
# [![Connect to Data Icon](../../images/universal_map/Outlet-active.png)](./connect_to_data_overview.md) Connect to Data: Index

## Core skills
- [How to choose which DataConnector to use](../../guides/connecting_to_your_data/how_to_choose_which_dataconnector_to_use.md)
- [How to configure an InferredAssetDataConnector](../../guides/connecting_to_your_data/how_to_configure_an_inferredassetdataconnector.md)
- [How to configure a ConfiguredAssetDataConnector](../../guides/connecting_to_your_data/how_to_configure_a_configuredassetdataconnector.md)
- [How to configure a RuntimeDataConnector](../../guides/connecting_to_your_data/how_to_configure_a_runtimedataconnector.md)
- [How to configure a DataConnector to introspect and partition a file system or blob store](../../guides/connecting_to_your_data/how_to_configure_a_dataconnector_to_introspect_and_partition_a_file_system_or_blob_store.md)
- [How to configure a DataConnector to introspect and partition tables in SQL](../../guides/connecting_to_your_data/how_to_configure_a_dataconnector_to_introspect_and_partition_tables_in_sql.md)
- [How to create a Batch of data from an in-memory Spark or Pandas dataframe or path](../../guides/connecting_to_your_data/how_to_create_a_batch_of_data_from_an_in_memory_spark_or_pandas_dataframe.md)
- [How to get a Batch of data from a configured Datasource](../../guides/connecting_to_your_data/how_to_get_a_batch_of_data_from_a_configured_datasource.md)

## In memory
- [How to connect to in-memory data in a Pandas dataframe](../../guides/connecting_to_your_data/in_memory/pandas.md)
- [How to connect to in-memory data in a Spark dataframe](../../guides/connecting_to_your_data/in_memory/spark.md)

## Database
- [How to connect to a Athena database](../../guides/connecting_to_your_data/database/athena.md)
- [How to connect to a BigQuery database](../../guides/connecting_to_your_data/database/bigquery.md)
- [How to connect to an MSSQL database](../../guides/connecting_to_your_data/database/mssql.md)
- [How to connect to a MySQL database](../../guides/connecting_to_your_data/database/mysql.md)
- [How to connect to a PostgreSQL database](../../guides/connecting_to_your_data/database/postgres.md)
- [How to connect to a Redshift database](../../guides/connecting_to_your_data/database/redshift.md)
- [How to connect to a Snowflake database](../../guides/connecting_to_your_data/database/snowflake.md)
- [How to connect to a SQLite database](../../guides/connecting_to_your_data/database/sqlite.md)
- [How to connect to a Trino database](../../guides/connecting_to_your_data/database/trino.md) (formerly Presto SQL)

## Filesystem
- [How to connect to data on a filesystem using Pandas](../../guides/connecting_to_your_data/filesystem/pandas.md)
- [How to connect to data on a filesystem using Spark](../../guides/connecting_to_your_data/filesystem/spark.md)

## Cloud
- [How to connect to data on S3 using Pandas](../../guides/connecting_to_your_data/cloud/s3/pandas.md)
- [How to connect to data on S3 using Spark](../../guides/connecting_to_your_data/cloud/s3/spark.md)
- [How to connect to data on GCS using Pandas](../../guides/connecting_to_your_data/cloud/gcs/pandas.md)
- [How to connect to data on GCS using Spark](../../guides/connecting_to_your_data/cloud/gcs/spark.md)
- [How to connect to data on Azure Blob Storage using Pandas](../../guides/connecting_to_your_data/cloud/azure/pandas.md)
- [How to connect to data on Azure Blob Storage using Spark](../../guides/connecting_to_your_data/cloud/azure/spark.md)

## Advanced
- [How to configure a DataConnector for splitting and sampling a file system or blob store](../../guides/connecting_to_your_data/advanced/how_to_configure_a_dataconnector_for_splitting_and_sampling_a_file_system_or_blob_store.md)
- [How to configure a DataConnector for splitting and sampling tables in SQL](../../guides/connecting_to_your_data/advanced/how_to_configure_a_dataconnector_for_splitting_and_sampling_tables_in_sql.md)

